%define pkg_name        Module-Require
%define pkg_version     0.05
%define rpm_pkg_version 0.05
%define rpm_pkg_release 7.n0i.9

Summary:       Load in a series of modules w/o knowing their names
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JS/JSMITH/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(File::Temp)}
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
This module provides a way to load in a series of modules without having to
know all the names, but just the pattern they fit. This can be useful for
allowing drop-in modules for application expansion without requiring
configuration or prior knowledge.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.05-7.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.05-6.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Thu Mar 31 2005 Marius Feraru <altblue@n0i.net> 0:0.05-5.n0i.7
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.05-4.n0i.6
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.05-3.n0i.5
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:0.05-2.n0i.4
- automatic rebuild

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:0.05-1.n0i.3
- version 0.05
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:0.04-0.n0i.2
- automatic rebuild (perl v.5.8.3)

* Mon Jan 05 2004 Marius FERARU <altblue@n0i.net> 0:0.04-0.n0i.1
- version 0.04
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
